Package: org.gradle.api.tasks.bundling

## [Java] Class AbstractArchiveTask

- org.gradle.api.tasks.bundling.AbstractArchiveTask

- `AbstractArchiveTask` is the base class for all archive tasks.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getAppendix()` Returns the appendix part of the archive name, if any.
    `String` | `getArchiveName()` Returns the archive name.
    `File` | `getArchivePath()` The path where the archive is constructed.
    `String` | `getBaseName()` Returns the base name of the archive.
    `String` | `getClassifier()` Returns the classifier part of the archive name, if any.
    `File` | `getDestinationDir()` Returns the directory where the archive is generated into.
    `String` | `getExtension()` Returns the extension part of the archive name.
    `String` | `getVersion()` Returns the version part of the archive name, if any.
    `AbstractArchiveTask` | `into(Object destPath)` Specifies the destination directory *inside* the archive for the files.
    `AbstractArchiveTask` | `into(Object destPath, Closure configureClosure)` Creates and configures a child `CopySpec` with a destination directory *inside* the archive for the files.
    `void` | `setAppendix(String appendix)`
    `void` | `setArchiveName(String name)` Sets the archive name.
    `void` | `setBaseName(String baseName)`
    `void` | `setClassifier(String classifier)`
    `void` | `setDestinationDir(File destinationDir)`
    `void` | `setExtension(String extension)`
    `void` | `setVersion(String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCopyTask` | `copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDirMode, getDuplicatesStrategy, getExcludes, getFileLookup, getFileMode, getFileResolver, getFileSystem, getIncludeEmptyDirs, getIncludes, getInstantiator, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with`

- - ### Method Detail

    - #### public String getAppendix()

      Returns the appendix part of the archive name, if any.

      Returns:
        the appendix. May be null

    - #### public String getArchiveName()

      Returns the archive name. If the name has not been explicitly set, the pattern for the name is: `[baseName]-[appendix]-[version]-[classifier].[extension]`

      Returns:
        the archive name.

    - #### @OutputFile public File getArchivePath()

      The path where the archive is constructed. The path is simply the `destinationDir` plus the `archiveName`.

      Returns:
        a File object with the path to the archive

    - #### public String getBaseName()

      Returns the base name of the archive.

      Returns:
        the base name.

    - #### public String getClassifier()

      Returns the classifier part of the archive name, if any.

      Returns:
        The classifier. May be null.

    - #### public File getDestinationDir()

      Returns the directory where the archive is generated into.

      Returns:
        the directory

    - #### public String getExtension()

      Returns the extension part of the archive name.

    - #### public String getVersion()

      Returns the version part of the archive name, if any.

      Returns:
        the version. May be null.

    - #### public AbstractArchiveTask into(Object destPath)

      Specifies the destination directory *inside* the archive for the files. The destination is evaluated as per Project.file. Don't mix it up with getDestinationDir() which specifies the output directory for the archive.

      Parameters:
        `destPath` - destination directory *inside* the archive for the files
      Returns:
        this

    - #### public AbstractArchiveTask into(Object destPath, Closure configureClosure)

      Creates and configures a child `CopySpec` with a destination directory *inside* the archive for the files. The destination is evaluated as per Project.file. Don't mix it up with getDestinationDir() which specifies the output directory for the archive.

      Parameters:
        `destPath` - destination directory *inside* the archive for the files
        `configureClosure` - The closure to use to configure the child `CopySpec`.
      Returns:
        this

    - #### public void setAppendix(String appendix)

    - #### public void setArchiveName(String name)

      Sets the archive name.

      Parameters:
        `name` - the archive name.

    - #### public void setBaseName(String baseName)

    - #### public void setClassifier(String classifier)

    - #### public void setDestinationDir(File destinationDir)

    - #### public void setExtension(String extension)

    - #### public void setVersion(String version)